Description

When adding a new host you get the option of listing the VLAN tag.  Unfortunately in the networking templates we see:

<% vlan = virtual && subnet.has_vlanid? -%

Which means that the VLAN id you enter is ignored and VLAN=yes does not get created.

I'm not sure if this is as simple a fix as subnet.has_vlanid? || interface.has_vlanid? but as it's taken me an hour to figure out what's

going on I just wanted to mention it.

Related issues:

Related to Foreman - Tracker #2409: Networking New

Associated revisions

Revision 88431412 - 01/04/2016 04:19 AM - Marek Hulán

Fixes #12943 - interface vlan setting is considered too

History

#1 - 01/04/2016 03:01 AM - Dominic Cleal

- Subject changed from VLAN only works if specified in the subnet, not in the interface to VLAN templating only works if specified in the subnet, not in

the interface

- Category set to Templates

#2 - 01/04/2016 04:16 AM - Marek Hulán

- Assignee set to Marek Hulán

- Status changed from New to Assigned

In general, you're right and we should fix the template. A bit simpler workaround without need of changing the template is to set some tag to subnet

while we can still override it per interface. One can view the subnet vlanid as a default for all interfaces attached to it.

#3 - 01/04/2016 04:26 AM - Marek Hulán

- Related to Tracker #2409: Networking added

#4 - 01/04/2016 04:27 AM - Marek Hulán

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/community-templates/pull/228 added

#5 - 01/04/2016 08:12 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
- translation missing: en.field_release set to 104

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

http://www.tcpdf.org

